"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _eventTargetShim = require("event-target-shim");
// Import for documentation purposes
// eslint-disable-next-line @typescript-eslint/no-unused-vars
/**
 * @eventClass
 * This event is fired whenever the RTC_EVENTS has changed except on icecandidate related.
 * @type {RTCIceCandidateEvent} for icecandidate related.
 * @param {RTC_EVENTS} type - The type of event.
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/API/RTCPeerConnection#events MDN} for details.
 */
class RTCEvent extends _eventTargetShim.Event {
  constructor(type, eventInitDict) {
    super(type, eventInitDict);
  }
}
exports.default = RTCEvent;
//# sourceMappingURL=RTCEvent.js.map