import debug from 'debug';
export default class Logger {
  static ROOT_PREFIX = 'rn-webrtc';
  static enable(ns) {
    debug.enable(ns);
  }
  constructor(prefix) {
    const _prefix = `${Logger.ROOT_PREFIX}:${prefix}`;
    this._debug = debug(`${_prefix}:DEBUG`);
    this._info = debug(`${_prefix}:INFO`);
    this._warn = debug(`${_prefix}:WARN`);
    this._error = debug(`${_prefix}:ERROR`);
    const log = console.log.bind(console);
    this._debug.log = log;
    this._info.log = log;
    this._warn.log = log;
    this._error.log = log;
  }
  debug(msg) {
    this._debug(msg);
  }
  info(msg) {
    this._info(msg);
  }
  warn(msg) {
    this._warn(msg);
  }
  error(msg, err) {
    const trace = (err === null || err === void 0 ? void 0 : err.stack) ?? 'N/A';
    this._error(`${msg} Trace: ${trace}`);
  }
}
//# sourceMappingURL=Logger.js.map