import { Event } from 'event-target-shim';

// Import for documentation purposes
// eslint-disable-next-line @typescript-eslint/no-unused-vars
/**
 * @eventClass
 * This event is fired whenever the RTC_EVENTS has changed except on icecandidate related.
 * @type {RTCIceCandidateEvent} for icecandidate related.
 * @param {RTC_EVENTS} type - The type of event.
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/API/RTCPeerConnection#events MDN} for details.
 */
export default class RTCEvent extends Event {
  constructor(type, eventInitDict) {
    super(type, eventInitDict);
  }
}
//# sourceMappingURL=RTCEvent.js.map