import { Event } from 'event-target-shim';
type RTC_EVENTS = 'connectionstatechange' | 'iceconnectionstatechange' | 'icegatheringstatechange' | 'negotiationneeded' | 'signalingstatechange' | 'error';
/**
 * @eventClass
 * This event is fired whenever the RTC_EVENTS has changed except on icecandidate related.
 * @type {RTCIceCandidateEvent} for icecandidate related.
 * @param {RTC_EVENTS} type - The type of event.
 * @see {@link https://developer.mozilla.org/en-US/docs/Web/API/RTCPeerConnection#events MDN} for details.
 */
export default class RTCEvent<TEventType extends RTC_EVENTS> extends Event<TEventType> {
    constructor(type: TEventType, eventInitDict?: Event.EventInit);
}
export {};
//# sourceMappingURL=RTCEvent.d.ts.map